
Redmine - Feature #8545

"get projects" REST API response should handle "include=trackers" parameter

2011-06-06 20:34 - Alex Last

Status: Closed Start date: 2011-06-06

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

http://myserver:3000/projects.xml?limit=25&offset=0&include=trackers

- this returns list of projects without trackers

is this intended? maybe the REST API can add some comment to the response like "your xxx parameter was ignored because..."

Related issues:

Is duplicate of Redmine - Patch #17602: Include enabled modules in projects API Closed

History

#1 - 2011-06-07 09:15 - Etienne Massip

- Tracker changed from Defect to Feature

It's not handled.

#2 - 2011-06-07 09:16 - Etienne Massip

- Subject changed from "get projects" REST API response ignores "include=trackers" parameter to "get projects" REST API response should handle

"include=trackers" parameter

- Target version set to Candidate for next major release

#3 - 2012-01-14 21:21 - Alex Last

can we include this into Redmine 1.3.1?

#4 - 2012-01-24 22:31 - Preethi Sriram

- File IncludeTracker.diff added

Patch is attached to include trackers in get projects api

Test-

http://myserver:3000/projects.xml?limit=25&offset=0&include=trackers

will include tracker information for each project.

#5 - 2012-04-20 07:42 - Alex Last

what/when is the "next major release"?

#6 - 2014-09-08 02:27 - Alex Last

let's merge this into "master"?

#7 - 2014-09-08 06:40 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth

Do you have a use case where it's useful to get trackers for all projects ? If there are valid use cases I can commit the patch but it needs some tests

first.

Fwiw the information can already be retrieved for a single project with the exact same parameter.

#8 - 2014-09-08 08:50 - Jan from Planio www.plan.io

- Status changed from New to Closed
- Resolution set to Duplicate

IMHO this can be closed since #17602 is now merged and implements this (as well as for enabled modules).

#9 - 2014-09-08 08:50 - Jan from Planio www.plan.io

- Is duplicate of Patch #17602: Include enabled modules in projects API added

#10 - 2014-09-08 09:11 - Etienne Massip

- Target version deleted (Candidate for next major release)

#11 - 2014-09-08 14:08 - Jean-Baptiste Barth

Oh yes you're right Jan, it's now even on project#index ! As long as it's optionnal it seems OK to me, I updated the docs accordingly.

#12 - 2014-09-08 22:08 - Alex Last

what is the minimum Redmine version that has this change?

#13 - 2014-09-09 06:07 - Jean-Baptiste Barth

The field is already accessible for a specific project for a long time (GET /projects/:id) but in the projects list (GET /projects) it's only on the svn trunk

for now. It will be included in Redmine 2.6.0 which isn't out yet.

Files

IncludeTracker.diff 545 Bytes 2012-01-24 Preethi Sriram
